
<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Impression/index')}">{:lang('LIST')}</a></li>
			<li class="active"><a >{:lang('EDIT')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Impression/editPost')}">
            
            <div class="form-group">
				<label for="input-name" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name" name="name" value="{$data.name}">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-name_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name_en" name="name_en" value="{$data.name_en}">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-colour" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRIMARY_COLOR')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control js-color" name="colour" style="display:inline-block;width:200px;" value="{$data['colour']}"> 
                    <input  class="form-control colour_block" style="display:inline-block;width:50px;background:{$data['colour']};" disabled/>{:lang('COLOR_MSG')}
				</div>
			</div>
            <div class="form-group">
				<label for="input-colour2" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('SECONDARY_COLOR')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control js-color" name="colour2" style="display:inline-block;width:200px;" value="{$data['colour2']}"> 
                    <input  class="form-control colour_block" style="display:inline-block;width:50px;background:{$data['colour2']};" disabled/>{:lang('COLOR_MSG')}
				</div>
			</div>
            


            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<input type="hidden" name="id" value="{$data.id}" />
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('EDIT')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script>
        (function(){
            Wind.use('colorpicker',function(){
                $('.js-color').each(function () {
                    var $this=$(this);
                    $this.ColorPicker({
                        livePreview:true,
                        onChange: function(hsb, hex, rgb) {
                            $this.val('#'+hex);
                            $this.siblings(".colour_block").css('background','#'+hex);
                        },
                        onBeforeShow: function () {
                            $(this).ColorPickerSetColor(this.value);
                        }
                    });
                });

            });
        })()
    </script>
    <script>
        
      </script>
</body>
</html>